<?php
if (!defined("root")) {
	define("root", $_SERVER['DOCUMENT_ROOT']);
}
require(root."/___simple_config.php");
session_start();
$pageSubOf = "pages";
$pageName = "games";
$pageTitle = "Games";
$thisUrl = "games";
$pageUrl = "/".adminFolder."/$thisUrl";
$coutSpecs = array('nl'=>"n");
require(root."/".adminFolder."/_common.php");
require(root."/".adminFolder."/_lib/db.php");
require(root."/".adminFolder."/_lib/main.php");
require(root."/".adminFolder."/_lib/auth.php");

$a = cekpost(cleanQuery($_GET["a"]), "");
require(root."/".adminFolder."/_tpl/tag_html_a.php");
cout('
<style type="text/css">
	
</style>
');

require(root."/".adminFolder."/_tpl/openbody.php");
require(root."/".adminFolder."/_tpl/header.php");
cout('<div class="page-header">');
	cout('<h1>'.$pageTitle.'</h1>');
cout('</div>');
# MAIN
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="" || $a=="main") {
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> Main</a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> Add</a></li>');
			}
		cout('</ul>');
	cout('</div>');
	
	cout('<nav class="navbar navbar-default">');
		cout('<div class="container-fluid">');
			cout('<!-- Brand and toggle get grouped for better mobile display -->');
			cout('<div class="navbar-header">');
				cout('<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">');
					cout('<span class="sr-only">Toggle navigation</span>');
					cout('<span class="icon-bar"></span>');
					cout('<span class="icon-bar"></span>');
					cout('<span class="icon-bar"></span>');
				cout('</button>');
				cout('<a class="navbar-brand" href="#">Filter</a>');
			cout('</div>');
			cout('<!-- Collect the nav links, forms, and other content for toggling -->');
			cout('<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">');
				cout('<form class="navbar-form navbar-left" role="search" method="post" target="filter_iframe" action="/'.adminFolder.'/_ajax/ajax_games.php?a=section_main">');
					if (!authorizedModule("games_filter", $ses_kduser)) {
					} else {
						if (authorizedModule("games_element_name", $ses_kduser)) {
							cout('<div class="form-group">');
								cout('<label for="fil_nama">Name</label>');
								cout('<input type="text" name="fil_nama" id="fil_nama" class="form-control" placeholder="% Name %">');
							cout('</div>');
						}
						if (authorizedModule("games_element_description", $ses_kduser)) {
							cout('<div class="form-group">');
								cout('<label for="fil_ket">Description</label>');
								cout('<input type="text" name="fil_ket" id="fil_ket" class="form-control" placeholder="% Description %">');
							cout('</div>');
						}
						if (authorizedModule("games_element_active", $ses_kduser)) {
							cout('<div class="form-group">');
								cout('<label for="fil_kdgame_cat">Game Categories</label>');
								cout('<select name="fil_kdgame_cat" id="fil_kdgame_cat" class="form-control">');
									cout('<option value="">All</option>');
									$rsgc=array();$qgc="SELECT * FROM game_cats";
									callRS($rsgc, $qgc);
									for ($i=0;$i<count($rsgc);$i++) {
										cout('<option value="'.$rsgc[$i]["kdgame_cat"].'">'.$rsgc[$i]["nama"].'</option>');
									}
								cout('</select>');
							cout('</div>');
						}
						if (authorizedModule("games_element_active", $ses_kduser)) {
							cout('<div class="form-group">');
								cout('<label for="fil_isactive">Active?</label>');
								cout('<select name="fil_isactive" id="fil_isactive" class="form-control">');
									cout('<option value="">All</option>');
									cout('<option value="1">Active</option>');
									cout('<option value="0">Non-Active</option>');
								cout('</select>');
							cout('</div>');
						}
					}
					cout('<button type="button" class="btn btn-primary" onclick="filterReload(\''.$pageName.'\', 1);return false;">Search</button>');
				cout('</form>');
				cout('
				<script>
					$("#fil_nama, #fil_ket").keypress(function (e) {
						if(e.which == 13) {
							filterReload(\''.$pageName.'\', 1);
							return false;
						}
					});
				</script>');
			cout('</div><!-- /.navbar-collapse -->');
		cout('</div><!-- /.container-fluid -->');
	cout('</nav>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>filterReload(\''.$pageName.'\', 1);</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

# VIEW
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="view") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> <span class="hidden-xs hidden-sm">Main</span></a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Add</span></a></li>');
			}
			if (authorizedModule("games_view", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/view/'.$id.'/" title="View"><span class="glyphicon glyphicon-file"></span> <span class="hidden-xs hidden-sm">View</span></a></li>');
			}
			if (authorizedModule("games_edit", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/edit/'.$id.'/" title="Edit"><span class="glyphicon glyphicon-edit"></span> <span class="hidden-xs hidden-sm">Edit</span></a></li>');
			}
			if (authorizedModule("games_image_logo", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/logo/'.$id.'/"><span class="glyphicon glyphicon-apple"></span> <span class="hidden-xs hidden-sm">Logo</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/image/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Image</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/girl/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Girl</span></a></li>');
			}
			if (authorizedModule("games_delete", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/delete/'.$id.'/" title="Delete"><span class="glyphicon glyphicon-trash"></span> <span class="hidden-xs hidden-sm">Delete</span></a></li>');
			}
		cout('</ul>');
	cout('</div>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>call_section("'.$pageName.'", "section_view", '.$id.');</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

# DELETE
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="delete") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> <span class="hidden-xs hidden-sm">Main</span></a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Add</span></a></li>');
			}
			if (authorizedModule("games_view", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/view/'.$id.'/" title="View"><span class="glyphicon glyphicon-file"></span> <span class="hidden-xs hidden-sm">View</span></a></li>');
			}
			if (authorizedModule("games_edit", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/edit/'.$id.'/" title="Edit"><span class="glyphicon glyphicon-edit"></span> <span class="hidden-xs hidden-sm">Edit</span></a></li>');
			}
			if (authorizedModule("games_image_logo", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/logo/'.$id.'/"><span class="glyphicon glyphicon-apple"></span> <span class="hidden-xs hidden-sm">Logo</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/image/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Image</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/girl/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Girl</span></a></li>');
			}
			if (authorizedModule("games_delete", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/delete/'.$id.'/" title="Delete"><span class="glyphicon glyphicon-trash"></span> <span class="hidden-xs hidden-sm">Delete</span></a></li>');
			}
		cout('</ul>');
	cout('</div>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>call_section("'.$pageName.'", "section_delete", '.$id.');</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

# GIRL
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="girl") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> <span class="hidden-xs hidden-sm">Main</span></a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Add</span></a></li>');
			}
			if (authorizedModule("games_view", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/view/'.$id.'/" title="View"><span class="glyphicon glyphicon-file"></span> <span class="hidden-xs hidden-sm">View</span></a></li>');
			}
			if (authorizedModule("games_edit", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/edit/'.$id.'/" title="Edit"><span class="glyphicon glyphicon-edit"></span> <span class="hidden-xs hidden-sm">Edit</span></a></li>');
			}
			if (authorizedModule("games_image_logo", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/logo/'.$id.'/"><span class="glyphicon glyphicon-apple"></span> <span class="hidden-xs hidden-sm">Logo</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/image/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Image</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/girl/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Girl</span></a></li>');
			}
			if (authorizedModule("games_delete", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/delete/'.$id.'/" title="Delete"><span class="glyphicon glyphicon-trash"></span> <span class="hidden-xs hidden-sm">Delete</span></a></li>');
			}
		cout('</ul>');
	cout('</div>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>call_section("'.$pageName.'", "section_girl", '.$id.');</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

# IMAGE
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="image") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> <span class="hidden-xs hidden-sm">Main</span></a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Add</span></a></li>');
			}
			if (authorizedModule("games_view", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/view/'.$id.'/" title="View"><span class="glyphicon glyphicon-file"></span> <span class="hidden-xs hidden-sm">View</span></a></li>');
			}
			if (authorizedModule("games_edit", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/edit/'.$id.'/" title="Edit"><span class="glyphicon glyphicon-edit"></span> <span class="hidden-xs hidden-sm">Edit</span></a></li>');
			}
			if (authorizedModule("games_image_logo", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/logo/'.$id.'/"><span class="glyphicon glyphicon-apple"></span> <span class="hidden-xs hidden-sm">Logo</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/image/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Image</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/girl/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Girl</span></a></li>');
			}
			if (authorizedModule("games_delete", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/delete/'.$id.'/" title="Delete"><span class="glyphicon glyphicon-trash"></span> <span class="hidden-xs hidden-sm">Delete</span></a></li>');
			}
		cout('</ul>');
	cout('</div>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>call_section("'.$pageName.'", "section_image", '.$id.');</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

# LOGO
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="logo") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> <span class="hidden-xs hidden-sm">Main</span></a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Add</span></a></li>');
			}
			if (authorizedModule("games_view", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/view/'.$id.'/" title="View"><span class="glyphicon glyphicon-file"></span> <span class="hidden-xs hidden-sm">View</span></a></li>');
			}
			if (authorizedModule("games_edit", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/edit/'.$id.'/" title="Edit"><span class="glyphicon glyphicon-edit"></span> <span class="hidden-xs hidden-sm">Edit</span></a></li>');
			}
			if (authorizedModule("games_image_logo", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/logo/'.$id.'/"><span class="glyphicon glyphicon-apple"></span> <span class="hidden-xs hidden-sm">Logo</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/image/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Image</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/girl/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Girl</span></a></li>');
			}
			if (authorizedModule("games_delete", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/delete/'.$id.'/" title="Delete"><span class="glyphicon glyphicon-trash"></span> <span class="hidden-xs hidden-sm">Delete</span></a></li>');
			}
		cout('</ul>');
	cout('</div>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>call_section("'.$pageName.'", "section_logo", '.$id.');</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

# EDIT
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="edit") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> <span class="hidden-xs hidden-sm">Main</span></a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Add</span></a></li>');
			}
			if (authorizedModule("games_view", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/view/'.$id.'/" title="View"><span class="glyphicon glyphicon-file"></span> <span class="hidden-xs hidden-sm">View</span></a></li>');
			}
			if (authorizedModule("games_edit", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/edit/'.$id.'/" title="Edit"><span class="glyphicon glyphicon-edit"></span> <span class="hidden-xs hidden-sm">Edit</span></a></li>');
			}
			if (authorizedModule("games_image_logo", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/logo/'.$id.'/"><span class="glyphicon glyphicon-apple"></span> <span class="hidden-xs hidden-sm">Logo</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/image/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Image</span></a></li>');
			}
			if (authorizedModule("games_image_screenshot", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/girl/'.$id.'/"><span class="glyphicon glyphicon-picture"></span> <span class="hidden-xs hidden-sm">Girl</span></a></li>');
			}
			if (authorizedModule("games_delete", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/delete/'.$id.'/" title="Delete"><span class="glyphicon glyphicon-trash"></span> <span class="hidden-xs hidden-sm">Delete</span></a></li>');
			}
		cout('</ul>');
	cout('</div>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>call_section("'.$pageName.'", "section_edit", '.$id.');</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

# ADD
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######
if ($a=="add") {
	cout('<div class="section_submenus">');
		cout('<ul class="nav nav-tabs" role="tablist">');
			if (authorizedModule("games_main", $ses_kduser)) {
				cout('<li role="presentation"><a href="'.$pageUrl.'/" title="Main List"><span class="glyphicon glyphicon-list"></span> <span class="hidden-xs hidden-sm">Main</span></a></li>');
			}
			if (authorizedModule("games_add", $ses_kduser)) {
				cout('<li role="presentation" class="active"><a href="'.$pageUrl.'/add/" title="Add New"><span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Add</span></a></li>');
			}
		cout('</ul>');
	cout('</div>');
	cout('<div class="ajax_resp"></div>');
	cout('<script>call_section("'.$pageName.'", "section_add", "");</script>');
}
###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ###### ######

require(root."/".adminFolder."/_tpl/footer.php");
require(root."/".adminFolder."/_tpl/tag_html_b.php");
?>